'''
Created on unknown

@author: Mask Shift converter
'''

class TMC5130_mask_shift(object):

	SW_STOPL_ENABLE_MASK                  = 0x0001
	SW_STOPL_ENABLE_SHIFT                 = 0
	SW_STOPR_ENABLE_MASK                  = 0x0002
	SW_STOPR_ENABLE_SHIFT                 = 1
	SW_STOPL_POLARITY_MASK                = 0x0004
	SW_STOPL_POLARITY_SHIFT               = 2
	SW_STOPR_POLARITY_MASK                = 0x0008
	SW_STOPR_POLARITY_SHIFT               = 3
	SW_SWAP_LR_MASK                       = 0x0010
	SW_SWAP_LR_SHIFT                      = 4
	SW_LATCH_L_ACT_MASK                   = 0x0020
	SW_LATCH_L_ACT_SHIFT                  = 5
	SW_LATCH_L_INACT_MASK                 = 0x0040
	SW_LATCH_L_INACT_SHIFT                = 6
	SW_LATCH_R_ACT_MASK                   = 0x0080
	SW_LATCH_R_ACT_SHIFT                  = 7
	SW_LATCH_R_INACT_MASK                 = 0x0100
	SW_LATCH_R_INACT_SHIFT                = 8
	SW_LATCH_ENC_MASK                     = 0x0200
	SW_LATCH_ENC_SHIFT                    = 9
	SW_SG_STOP_MASK                       = 0x0400
	SW_SG_STOP_SHIFT                      = 10
	SW_SOFTSTOP_MASK                      = 0x0800
	SW_SOFTSTOP_SHIFT                     = 11
	RS_STOPL_MASK                         = 0x0001
	RS_STOPL_SHIFT                        = 0
	RS_STOPR_MASK                         = 0x0002
	RS_STOPR_SHIFT                        = 1
	RS_LATCHL_MASK                        = 0x0004
	RS_LATCHL_SHIFT                       = 2
	RS_LATCHR_MASK                        = 0x0008
	RS_LATCHR_SHIFT                       = 3
	RS_EV_STOPL_MASK                      = 0x0010
	RS_EV_STOPL_SHIFT                     = 4
	RS_EV_STOPR_MASK                      = 0x0020
	RS_EV_STOPR_SHIFT                     = 5
	RS_EV_STOP_SG_MASK                    = 0x0040
	RS_EV_STOP_SG_SHIFT                   = 6
	RS_EV_POSREACHED_MASK                 = 0x0080
	RS_EV_POSREACHED_SHIFT                = 7
	RS_VELREACHED_MASK                    = 0x0100
	RS_VELREACHED_SHIFT                   = 8
	RS_POSREACHED_MASK                    = 0x0200
	RS_POSREACHED_SHIFT                   = 9
	RS_VZERO_MASK                         = 0x0400
	RS_VZERO_SHIFT                        = 10
	RS_ZEROWAIT_MASK                      = 0x0800
	RS_ZEROWAIT_SHIFT                     = 11
	RS_SECONDMOVE_MASK                    = 0x1000
	RS_SECONDMOVE_SHIFT                   = 12
	RS_SG_MASK                            = 0x2000
	RS_SG_SHIFT                           = 13
	I_SCALE_ANALOG_MASK                  = 0x01 # GCONF
	I_SCALE_ANALOG_SHIFT                 = 0
	INTERNAL_RSENSE_MASK                 = 0x02 # GCONF
	INTERNAL_RSENSE_SHIFT                = 1
	EN_PWM_MODE_MASK                     = 0x04 # GCONF
	EN_PWM_MODE_SHIFT                    = 2
	ENC_COMMUTATION_MASK                 = 0x08 # GCONF
	ENC_COMMUTATION_SHIFT                = 3
	SHAFT_MASK                           = 0x10 # GCONF
	SHAFT_SHIFT                          = 4
	DIAG0_ERROR_ONLY_WITH_SD_MODE1_MASK  = 0x20 # GCONF
	DIAG0_ERROR_ONLY_WITH_SD_MODE1_SHIFT = 5
	DIAG0_OTPW_ONLY_WITH_SD_MODE1_MASK   = 0x40 # GCONF
	DIAG0_OTPW_ONLY_WITH_SD_MODE1_SHIFT  = 6
	DIAG0_STALL_MASK                     = 0x80 # GCONF
	DIAG0_STALL_SHIFT                    = 7
	DIAG1_STALL_MASK                     = 0x100 # GCONF
	DIAG1_STALL_SHIFT                    = 8
	DIAG1_INDEX_MASK                     = 0x200 # GCONF
	DIAG1_INDEX_SHIFT                    = 9
	DIAG1_ONSTATE_MASK                   = 0x400 # GCONF
	DIAG1_ONSTATE_SHIFT                  = 10
	DIAG1_STEPS_SKIPPED_MASK             = 0x800 # GCONF
	DIAG1_STEPS_SKIPPED_SHIFT            = 11
	DIAG0_INT_PUSHPULL_MASK              = 0x1000 # GCONF
	DIAG0_INT_PUSHPULL_SHIFT             = 12
	DIAG1_POSCOMP_PUSHPULL_MASK          = 0x2000 # GCONF
	DIAG1_POSCOMP_PUSHPULL_SHIFT         = 13
	SMALL_HYSTERESIS_MASK                = 0x4000 # GCONF
	SMALL_HYSTERESIS_SHIFT               = 14
	STOP_ENABLE_MASK                     = 0x8000 # GCONF
	STOP_ENABLE_SHIFT                    = 15
	DIRECT_MODE_MASK                     = 0x10000 # GCONF
	DIRECT_MODE_SHIFT                    = 16
	TEST_MODE_MASK                       = 0x20000 # GCONF
	TEST_MODE_SHIFT                      = 17
	DIAG0_STEP_MASK                      = 0x80 # GCONF
	DIAG0_STEP_SHIFT                     = 7
	DIAG1_DIR_MASK                       = 0x100 # GCONF
	DIAG1_DIR_SHIFT                      = 8
	RESET_MASK                           = 0x01 # GSTAT
	RESET_SHIFT                          = 0
	DRV_ERR_MASK                         = 0x02 # GSTAT
	DRV_ERR_SHIFT                        = 1
	UV_CP_MASK                           = 0x04 # GSTAT
	UV_CP_SHIFT                          = 2
	IFCNT_MASK                           = 0xFF # IFCNT
	IFCNT_SHIFT                          = 0
	SLAVEADDR_MASK                       = 0xFF # SLAVECONF
	SLAVEADDR_SHIFT                      = 0
	SENDDELAY_MASK                       = 0xF00 # SLAVECONF
	SENDDELAY_SHIFT                      = 8
	REFL_STEP_MASK                       = 0x01 # IOIN / OUTPUT
	REFL_STEP_SHIFT                      = 0
	REFR_DIR_MASK                        = 0x02 # IOIN / OUTPUT
	REFR_DIR_SHIFT                       = 1
	ENCB_DCEN_CFG4_MASK                  = 0x04 # IOIN / OUTPUT
	ENCB_DCEN_CFG4_SHIFT                 = 2
	ENCA_DCIN_CFG5_MASK                  = 0x08 # IOIN / OUTPUT
	ENCA_DCIN_CFG5_SHIFT                 = 3
	DRV_ENN_CFG6_MASK                    = 0x10 # IOIN / OUTPUT
	DRV_ENN_CFG6_SHIFT                   = 4
	ENC_N_DCO_MASK                       = 0x20 # IOIN / OUTPUT
	ENC_N_DCO_SHIFT                      = 5
	SD_MODE_MASK                         = 0x40 # IOIN / OUTPUT
	SD_MODE_SHIFT                        = 6
	SWCOMP_IN_MASK                       = 0x80 # IOIN / OUTPUT
	SWCOMP_IN_SHIFT                      = 7
	VERSION_MASK                         = 0xFF000000 # IOIN / OUTPUT
	VERSION_SHIFT                        = 24
	OUTPUT_PIN_POLARITY_MASK             = 0x01 # IOIN / OUTPUT
	OUTPUT_PIN_POLARITY_SHIFT            = 0
	X_COMPARE_MASK                       = 0xFFFFFFFF # X_COMPARE
	X_COMPARE_SHIFT                      = 0
	IHOLD_MASK                           = 0x1F # IHOLD_IRUN
	IHOLD_SHIFT                          = 0
	IRUN_MASK                            = 0x1F00 # IHOLD_IRUN
	IRUN_SHIFT                           = 8
	IHOLDDELAY_MASK                      = 0xF0000 # IHOLD_IRUN
	IHOLDDELAY_SHIFT                     = 16
	TPOWERDOWN_MASK                      = 0xFF # TPOWERDOWN
	TPOWERDOWN_SHIFT                     = 0
	TSTEP_MASK                           = 0xFFFFF # TSTEP
	TSTEP_SHIFT                          = 0
	TPWMTHRS_MASK                        = 0xFFFFF # TPWMTHRS
	TPWMTHRS_SHIFT                       = 0
	TCOOLTHRS_MASK                       = 0xFFFFF # TCOOLTHRS
	TCOOLTHRS_SHIFT                      = 0
	THIGH_MASK                           = 0xFFFFF # THIGH
	THIGH_SHIFT                          = 0
	RAMPMODE_MASK                        = 0x03 # RAMPMODE
	RAMPMODE_SHIFT                       = 0
	XACTUAL_MASK                         = 0xFFFFFFFF # XACTUAL
	XACTUAL_SHIFT                        = 0
	VACTUAL_MASK                         = 0xFFFFFF # VACTUAL
	VACTUAL_SHIFT                        = 0
	VSTART_MASK                          = 0x3FFFF # VSTART
	VSTART_SHIFT                         = 0
	A1_MASK                              = 0xFFFF # A1
	A1_SHIFT                             = 0
	V1_MASK                              = 0xFFFFF # V1
	V1_SHIFT                             = 0
	AMAX_MASK                            = 0xFFFF # AMAX
	AMAX_SHIFT                           = 0
	VMAX_MASK                            = 0x7FFFFF # VMAX
	VMAX_SHIFT                           = 0
	DMAX_MASK                            = 0xFFFF # DMAX
	DMAX_SHIFT                           = 0
	D1_MASK                              = 0xFFFF # D1
	D1_SHIFT                             = 0
	VSTOP_MASK                           = 0x3FFFF # VSTOP
	VSTOP_SHIFT                          = 0
	TZEROWAIT_MASK                       = 0xFFFF # TZEROWAIT
	TZEROWAIT_SHIFT                      = 0
	XTARGET_MASK                         = 0xFFFFFFFF # XTARGET
	XTARGET_SHIFT                        = 0
	VDCMIN_MASK                          = 0x7FFFFF # VDCMIN
	VDCMIN_SHIFT                         = 0
	STOP_L_ENABLE_MASK                   = 0x01 # SW_MODE
	STOP_L_ENABLE_SHIFT                  = 0
	STOP_R_ENABLE_MASK                   = 0x02 # SW_MODE
	STOP_R_ENABLE_SHIFT                  = 1
	POL_STOP_L_MASK                      = 0x04 # SW_MODE
	POL_STOP_L_SHIFT                     = 2
	POL_STOP_R_MASK                      = 0x08 # SW_MODE
	POL_STOP_R_SHIFT                     = 3
	SWAP_LR_MASK                         = 0x10 # SW_MODE
	SWAP_LR_SHIFT                        = 4
	LATCH_L_ACTIVE_MASK                  = 0x20 # SW_MODE
	LATCH_L_ACTIVE_SHIFT                 = 5
	LATCH_L_INACTIVE_MASK                = 0x40 # SW_MODE
	LATCH_L_INACTIVE_SHIFT               = 6
	LATCH_R_ACTIVE_MASK                  = 0x80 # SW_MODE
	LATCH_R_ACTIVE_SHIFT                 = 7
	LATCH_R_INACTIVE_MASK                = 0x100 # SW_MODE
	LATCH_R_INACTIVE_SHIFT               = 8
	EN_LATCH_ENCODER_MASK                = 0x200 # SW_MODE
	EN_LATCH_ENCODER_SHIFT               = 9
	SG_STOP_MASK                         = 0x400 # SW_MODE
	SG_STOP_SHIFT                        = 10
	EN_SOFTSTOP_MASK                     = 0x800 # SW_MODE
	EN_SOFTSTOP_SHIFT                    = 11
	STATUS_STOP_L_MASK                   = 0x01 # RAMP_STAT
	STATUS_STOP_L_SHIFT                  = 0
	STATUS_STOP_R_MASK                   = 0x02 # RAMP_STAT
	STATUS_STOP_R_SHIFT                  = 1
	STATUS_LATCH_L_MASK                  = 0x04 # RAMP_STAT
	STATUS_LATCH_L_SHIFT                 = 2
	STATUS_LATCH_R_MASK                  = 0x08 # RAMP_STAT
	STATUS_LATCH_R_SHIFT                 = 3
	EVENT_STOP_L_MASK                    = 0x10 # RAMP_STAT
	EVENT_STOP_L_SHIFT                   = 4
	EVENT_STOP_R_MASK                    = 0x20 # RAMP_STAT
	EVENT_STOP_R_SHIFT                   = 5
	EVENT_STOP_SG_MASK                   = 0x40 # RAMP_STAT
	EVENT_STOP_SG_SHIFT                  = 6
	EVENT_POS_REACHED_MASK               = 0x80 # RAMP_STAT
	EVENT_POS_REACHED_SHIFT              = 7
	VELOCITY_REACHED_MASK                = 0x100 # RAMP_STAT
	VELOCITY_REACHED_SHIFT               = 8
	POSITION_REACHED_MASK                = 0x200 # RAMP_STAT
	POSITION_REACHED_SHIFT               = 9
	VZERO_MASK                           = 0x400 # RAMP_STAT
	VZERO_SHIFT                          = 10
	T_ZEROWAIT_ACTIVE_MASK               = 0x800 # RAMP_STAT
	T_ZEROWAIT_ACTIVE_SHIFT              = 11
	SECOND_MOVE_MASK                     = 0x1000 # RAMP_STAT
	SECOND_MOVE_SHIFT                    = 12
	STATUS_SG_MASK                       = 0x2000 # RAMP_STAT
	STATUS_SG_SHIFT                      = 13
	XLATCH_MASK                          = 0xFFFFFFFF # XLATCH
	XLATCH_SHIFT                         = 0
	POL_A_MASK                           = 0x01 # ENCMODE
	POL_A_SHIFT                          = 0
	POL_B_MASK                           = 0x02 # ENCMODE
	POL_B_SHIFT                          = 1
	POL_N_MASK                           = 0x04 # ENCMODE
	POL_N_SHIFT                          = 2
	IGNORE_AB_MASK                       = 0x08 # ENCMODE
	IGNORE_AB_SHIFT                      = 3
	CLR_CONT_MASK                        = 0x10 # ENCMODE
	CLR_CONT_SHIFT                       = 4
	CLR_ONCE_MASK                        = 0x20 # ENCMODE
	CLR_ONCE_SHIFT                       = 5
	POS_EDGENEG_EDGE_MASK                = 0xC0 # ENCMODE
	POS_EDGENEG_EDGE_SHIFT               = 6
	CLR_ENC_X_MASK                       = 0x100 # ENCMODE
	CLR_ENC_X_SHIFT                      = 8
	LATCH_X_ACT_MASK                     = 0x200 # ENCMODE
	LATCH_X_ACT_SHIFT                    = 9
	ENC_SEL_DECIMAL_MASK                 = 0x400 # ENCMODE
	ENC_SEL_DECIMAL_SHIFT                = 10
	X_ENC_MASK                           = 0xFFFFFFFF # X_ENC
	X_ENC_SHIFT                          = 0
	INTEGER_MASK                         = 0xFFFF0000 # ENC_CONST
	INTEGER_SHIFT                        = 16
	FRACTIONAL_MASK                      = 0xFFFF # ENC_CONST
	FRACTIONAL_SHIFT                     = 0
	ENC_STATUS_MASK                      = 0x01 # ENC_STATUS
	ENC_STATUS_SHIFT                     = 0
	ENC_LATCH_MASK                       = 0xFFFFFFFF # ENC_LATCH
	ENC_LATCH_SHIFT                      = 0
	OFS0_MASK                            = 0x01 # MSLUT[0]
	OFS0_SHIFT                           = 0
	OFS1_MASK                            = 0x02 # MSLUT[0]
	OFS1_SHIFT                           = 1
	OFS2_MASK                            = 0x04 # MSLUT[0]
	OFS2_SHIFT                           = 2
	OFS3_MASK                            = 0x08 # MSLUT[0]
	OFS3_SHIFT                           = 3
	OFS4_MASK                            = 0x10 # MSLUT[0]
	OFS4_SHIFT                           = 4
	OFS5_MASK                            = 0x20 # MSLUT[0]
	OFS5_SHIFT                           = 5
	OFS6_MASK                            = 0x40 # MSLUT[0]
	OFS6_SHIFT                           = 6
	OFS7_MASK                            = 0x80 # MSLUT[0]
	OFS7_SHIFT                           = 7
	OFS8_MASK                            = 0x100 # MSLUT[0]
	OFS8_SHIFT                           = 8
	OFS9_MASK                            = 0x200 # MSLUT[0]
	OFS9_SHIFT                           = 9
	OFS10_MASK                           = 0x400 # MSLUT[0]
	OFS10_SHIFT                          = 10
	OFS11_MASK                           = 0x800 # MSLUT[0]
	OFS11_SHIFT                          = 11
	OFS12_MASK                           = 0x1000 # MSLUT[0]
	OFS12_SHIFT                          = 12
	OFS13_MASK                           = 0x2000 # MSLUT[0]
	OFS13_SHIFT                          = 13
	OFS14_MASK                           = 0x4000 # MSLUT[0]
	OFS14_SHIFT                          = 14
	OFS15_MASK                           = 0x8000 # MSLUT[0]
	OFS15_SHIFT                          = 15
	OFS16_MASK                           = 0x10000 # MSLUT[0]
	OFS16_SHIFT                          = 16
	OFS17_MASK                           = 0x20000 # MSLUT[0]
	OFS17_SHIFT                          = 17
	OFS18_MASK                           = 0x40000 # MSLUT[0]
	OFS18_SHIFT                          = 18
	OFS19_MASK                           = 0x80000 # MSLUT[0]
	OFS19_SHIFT                          = 19
	OFS20_MASK                           = 0x100000 # MSLUT[0]
	OFS20_SHIFT                          = 20
	OFS21_MASK                           = 0x200000 # MSLUT[0]
	OFS21_SHIFT                          = 21
	OFS22_MASK                           = 0x400000 # MSLUT[0]
	OFS22_SHIFT                          = 22
	OFS23_MASK                           = 0x800000 # MSLUT[0]
	OFS23_SHIFT                          = 23
	OFS24_MASK                           = 0x1000000 # MSLUT[0]
	OFS24_SHIFT                          = 24
	OFS25_MASK                           = 0x2000000 # MSLUT[0]
	OFS25_SHIFT                          = 25
	OFS26_MASK                           = 0x4000000 # MSLUT[0]
	OFS26_SHIFT                          = 26
	OFS27_MASK                           = 0x8000000 # MSLUT[0]
	OFS27_SHIFT                          = 27
	OFS28_MASK                           = 0x10000000 # MSLUT[0]
	OFS28_SHIFT                          = 28
	OFS29_MASK                           = 0x20000000 # MSLUT[0]
	OFS29_SHIFT                          = 29
	OFS30_MASK                           = 0x40000000 # MSLUT[0]
	OFS30_SHIFT                          = 30
	OFS31_MASK                           = 0x80000000 # MSLUT[0]
	OFS31_SHIFT                          = 31
	OFS32_MASK                           = 0x01 # MSLUT[1]
	OFS32_SHIFT                          = 0
	OFS33_MASK                           = 0x02 # MSLUT[1]
	OFS33_SHIFT                          = 1
	OFS34_MASK                           = 0x04 # MSLUT[1]
	OFS34_SHIFT                          = 2
	OFS35_MASK                           = 0x08 # MSLUT[1]
	OFS35_SHIFT                          = 3
	OFS36_MASK                           = 0x10 # MSLUT[1]
	OFS36_SHIFT                          = 4
	OFS37_MASK                           = 0x20 # MSLUT[1]
	OFS37_SHIFT                          = 5
	OFS38_MASK                           = 0x40 # MSLUT[1]
	OFS38_SHIFT                          = 6
	OFS39_MASK                           = 0x80 # MSLUT[1]
	OFS39_SHIFT                          = 7
	OFS40_MASK                           = 0x100 # MSLUT[1]
	OFS40_SHIFT                          = 8
	OFS41_MASK                           = 0x200 # MSLUT[1]
	OFS41_SHIFT                          = 9
	OFS42_MASK                           = 0x400 # MSLUT[1]
	OFS42_SHIFT                          = 10
	OFS43_MASK                           = 0x800 # MSLUT[1]
	OFS43_SHIFT                          = 11
	OFS44_MASK                           = 0x1000 # MSLUT[1]
	OFS44_SHIFT                          = 12
	OFS45_MASK                           = 0x2000 # MSLUT[1]
	OFS45_SHIFT                          = 13
	OFS46_MASK                           = 0x4000 # MSLUT[1]
	OFS46_SHIFT                          = 14
	OFS47_MASK                           = 0x8000 # MSLUT[1]
	OFS47_SHIFT                          = 15
	OFS48_MASK                           = 0x10000 # MSLUT[1]
	OFS48_SHIFT                          = 16
	OFS49_MASK                           = 0x20000 # MSLUT[1]
	OFS49_SHIFT                          = 17
	OFS50_MASK                           = 0x40000 # MSLUT[1]
	OFS50_SHIFT                          = 18
	OFS51_MASK                           = 0x80000 # MSLUT[1]
	OFS51_SHIFT                          = 19
	OFS52_MASK                           = 0x100000 # MSLUT[1]
	OFS52_SHIFT                          = 20
	OFS53_MASK                           = 0x200000 # MSLUT[1]
	OFS53_SHIFT                          = 21
	OFS54_MASK                           = 0x400000 # MSLUT[1]
	OFS54_SHIFT                          = 22
	OFS55_MASK                           = 0x800000 # MSLUT[1]
	OFS55_SHIFT                          = 23
	OFS56_MASK                           = 0x1000000 # MSLUT[1]
	OFS56_SHIFT                          = 24
	OFS57_MASK                           = 0x2000000 # MSLUT[1]
	OFS57_SHIFT                          = 25
	OFS58_MASK                           = 0x4000000 # MSLUT[1]
	OFS58_SHIFT                          = 26
	OFS59_MASK                           = 0x8000000 # MSLUT[1]
	OFS59_SHIFT                          = 27
	OFS60_MASK                           = 0x10000000 # MSLUT[1]
	OFS60_SHIFT                          = 28
	OFS61_MASK                           = 0x20000000 # MSLUT[1]
	OFS61_SHIFT                          = 29
	OFS62_MASK                           = 0x40000000 # MSLUT[1]
	OFS62_SHIFT                          = 30
	OFS63_MASK                           = 0x80000000 # MSLUT[1]
	OFS63_SHIFT                          = 31
	OFS64_MASK                           = 0x01 # MSLUT[2]
	OFS64_SHIFT                          = 0
	OFS65_MASK                           = 0x02 # MSLUT[2]
	OFS65_SHIFT                          = 1
	OFS66_MASK                           = 0x04 # MSLUT[2]
	OFS66_SHIFT                          = 2
	OFS67_MASK                           = 0x08 # MSLUT[2]
	OFS67_SHIFT                          = 3
	OFS68_MASK                           = 0x10 # MSLUT[2]
	OFS68_SHIFT                          = 4
	OFS69_MASK                           = 0x20 # MSLUT[2]
	OFS69_SHIFT                          = 5
	OFS70_MASK                           = 0x40 # MSLUT[2]
	OFS70_SHIFT                          = 6
	OFS71_MASK                           = 0x80 # MSLUT[2]
	OFS71_SHIFT                          = 7
	OFS72_MASK                           = 0x100 # MSLUT[2]
	OFS72_SHIFT                          = 8
	OFS73_MASK                           = 0x200 # MSLUT[2]
	OFS73_SHIFT                          = 9
	OFS74_MASK                           = 0x400 # MSLUT[2]
	OFS74_SHIFT                          = 10
	OFS75_MASK                           = 0x800 # MSLUT[2]
	OFS75_SHIFT                          = 11
	OFS76_MASK                           = 0x1000 # MSLUT[2]
	OFS76_SHIFT                          = 12
	OFS77_MASK                           = 0x2000 # MSLUT[2]
	OFS77_SHIFT                          = 13
	OFS78_MASK                           = 0x4000 # MSLUT[2]
	OFS78_SHIFT                          = 14
	OFS79_MASK                           = 0x8000 # MSLUT[2]
	OFS79_SHIFT                          = 15
	OFS80_MASK                           = 0x10000 # MSLUT[2]
	OFS80_SHIFT                          = 16
	OFS81_MASK                           = 0x20000 # MSLUT[2]
	OFS81_SHIFT                          = 17
	OFS82_MASK                           = 0x40000 # MSLUT[2]
	OFS82_SHIFT                          = 18
	OFS83_MASK                           = 0x80000 # MSLUT[2]
	OFS83_SHIFT                          = 19
	OFS84_MASK                           = 0x100000 # MSLUT[2]
	OFS84_SHIFT                          = 20
	OFS85_MASK                           = 0x200000 # MSLUT[2]
	OFS85_SHIFT                          = 21
	OFS86_MASK                           = 0x400000 # MSLUT[2]
	OFS86_SHIFT                          = 22
	OFS87_MASK                           = 0x800000 # MSLUT[2]
	OFS87_SHIFT                          = 23
	OFS88_MASK                           = 0x1000000 # MSLUT[2]
	OFS88_SHIFT                          = 24
	OFS89_MASK                           = 0x2000000 # MSLUT[2]
	OFS89_SHIFT                          = 25
	OFS90_MASK                           = 0x4000000 # MSLUT[2]
	OFS90_SHIFT                          = 26
	OFS91_MASK                           = 0x8000000 # MSLUT[2]
	OFS91_SHIFT                          = 27
	OFS92_MASK                           = 0x10000000 # MSLUT[2]
	OFS92_SHIFT                          = 28
	OFS93_MASK                           = 0x20000000 # MSLUT[2]
	OFS93_SHIFT                          = 29
	OFS94_MASK                           = 0x40000000 # MSLUT[2]
	OFS94_SHIFT                          = 30
	OFS95_MASK                           = 0x80000000 # MSLUT[2]
	OFS95_SHIFT                          = 31
	OFS96_MASK                           = 0x01 # MSLUT[3]
	OFS96_SHIFT                          = 0
	OFS97_MASK                           = 0x02 # MSLUT[3]
	OFS97_SHIFT                          = 1
	OFS98_MASK                           = 0x04 # MSLUT[3]
	OFS98_SHIFT                          = 2
	OFS99_MASK                           = 0x08 # MSLUT[3]
	OFS99_SHIFT                          = 3
	OFS100_MASK                          = 0x10 # MSLUT[3]
	OFS100_SHIFT                         = 4
	OFS101_MASK                          = 0x20 # MSLUT[3]
	OFS101_SHIFT                         = 5
	OFS102_MASK                          = 0x40 # MSLUT[3]
	OFS102_SHIFT                         = 6
	OFS103_MASK                          = 0x80 # MSLUT[3]
	OFS103_SHIFT                         = 7
	OFS104_MASK                          = 0x100 # MSLUT[3]
	OFS104_SHIFT                         = 8
	OFS105_MASK                          = 0x200 # MSLUT[3]
	OFS105_SHIFT                         = 9
	OFS106_MASK                          = 0x400 # MSLUT[3]
	OFS106_SHIFT                         = 10
	OFS107_MASK                          = 0x800 # MSLUT[3]
	OFS107_SHIFT                         = 11
	OFS108_MASK                          = 0x1000 # MSLUT[3]
	OFS108_SHIFT                         = 12
	OFS109_MASK                          = 0x2000 # MSLUT[3]
	OFS109_SHIFT                         = 13
	OFS110_MASK                          = 0x4000 # MSLUT[3]
	OFS110_SHIFT                         = 14
	OFS111_MASK                          = 0x8000 # MSLUT[3]
	OFS111_SHIFT                         = 15
	OFS112_MASK                          = 0x10000 # MSLUT[3]
	OFS112_SHIFT                         = 16
	OFS113_MASK                          = 0x20000 # MSLUT[3]
	OFS113_SHIFT                         = 17
	OFS114_MASK                          = 0x40000 # MSLUT[3]
	OFS114_SHIFT                         = 18
	OFS115_MASK                          = 0x80000 # MSLUT[3]
	OFS115_SHIFT                         = 19
	OFS116_MASK                          = 0x100000 # MSLUT[3]
	OFS116_SHIFT                         = 20
	OFS117_MASK                          = 0x200000 # MSLUT[3]
	OFS117_SHIFT                         = 21
	OFS118_MASK                          = 0x400000 # MSLUT[3]
	OFS118_SHIFT                         = 22
	OFS119_MASK                          = 0x800000 # MSLUT[3]
	OFS119_SHIFT                         = 23
	OFS120_MASK                          = 0x1000000 # MSLUT[3]
	OFS120_SHIFT                         = 24
	OFS121_MASK                          = 0x2000000 # MSLUT[3]
	OFS121_SHIFT                         = 25
	OFS122_MASK                          = 0x4000000 # MSLUT[3]
	OFS122_SHIFT                         = 26
	OFS123_MASK                          = 0x8000000 # MSLUT[3]
	OFS123_SHIFT                         = 27
	OFS124_MASK                          = 0x10000000 # MSLUT[3]
	OFS124_SHIFT                         = 28
	OFS125_MASK                          = 0x20000000 # MSLUT[3]
	OFS125_SHIFT                         = 29
	OFS126_MASK                          = 0x40000000 # MSLUT[3]
	OFS126_SHIFT                         = 30
	OFS127_MASK                          = 0x80000000 # MSLUT[3]
	OFS127_SHIFT                         = 31
	OFS128_MASK                          = 0x01 # MSLUT[4]
	OFS128_SHIFT                         = 0
	OFS129_MASK                          = 0x02 # MSLUT[4]
	OFS129_SHIFT                         = 1
	OFS130_MASK                          = 0x04 # MSLUT[4]
	OFS130_SHIFT                         = 2
	OFS131_MASK                          = 0x08 # MSLUT[4]
	OFS131_SHIFT                         = 3
	OFS132_MASK                          = 0x10 # MSLUT[4]
	OFS132_SHIFT                         = 4
	OFS133_MASK                          = 0x20 # MSLUT[4]
	OFS133_SHIFT                         = 5
	OFS134_MASK                          = 0x40 # MSLUT[4]
	OFS134_SHIFT                         = 6
	OFS135_MASK                          = 0x80 # MSLUT[4]
	OFS135_SHIFT                         = 7
	OFS136_MASK                          = 0x100 # MSLUT[4]
	OFS136_SHIFT                         = 8
	OFS137_MASK                          = 0x200 # MSLUT[4]
	OFS137_SHIFT                         = 9
	OFS138_MASK                          = 0x400 # MSLUT[4]
	OFS138_SHIFT                         = 10
	OFS139_MASK                          = 0x800 # MSLUT[4]
	OFS139_SHIFT                         = 11
	OFS140_MASK                          = 0x1000 # MSLUT[4]
	OFS140_SHIFT                         = 12
	OFS141_MASK                          = 0x2000 # MSLUT[4]
	OFS141_SHIFT                         = 13
	OFS142_MASK                          = 0x4000 # MSLUT[4]
	OFS142_SHIFT                         = 14
	OFS143_MASK                          = 0x8000 # MSLUT[4]
	OFS143_SHIFT                         = 15
	OFS144_MASK                          = 0x10000 # MSLUT[4]
	OFS144_SHIFT                         = 16
	OFS145_MASK                          = 0x20000 # MSLUT[4]
	OFS145_SHIFT                         = 17
	OFS146_MASK                          = 0x40000 # MSLUT[4]
	OFS146_SHIFT                         = 18
	OFS147_MASK                          = 0x80000 # MSLUT[4]
	OFS147_SHIFT                         = 19
	OFS148_MASK                          = 0x100000 # MSLUT[4]
	OFS148_SHIFT                         = 20
	OFS149_MASK                          = 0x200000 # MSLUT[4]
	OFS149_SHIFT                         = 21
	OFS150_MASK                          = 0x400000 # MSLUT[4]
	OFS150_SHIFT                         = 22
	OFS151_MASK                          = 0x800000 # MSLUT[4]
	OFS151_SHIFT                         = 23
	OFS152_MASK                          = 0x1000000 # MSLUT[4]
	OFS152_SHIFT                         = 24
	OFS153_MASK                          = 0x2000000 # MSLUT[4]
	OFS153_SHIFT                         = 25
	OFS154_MASK                          = 0x4000000 # MSLUT[4]
	OFS154_SHIFT                         = 26
	OFS155_MASK                          = 0x8000000 # MSLUT[4]
	OFS155_SHIFT                         = 27
	OFS156_MASK                          = 0x10000000 # MSLUT[4]
	OFS156_SHIFT                         = 28
	OFS157_MASK                          = 0x20000000 # MSLUT[4]
	OFS157_SHIFT                         = 29
	OFS158_MASK                          = 0x40000000 # MSLUT[4]
	OFS158_SHIFT                         = 30
	OFS159_MASK                          = 0x80000000 # MSLUT[4]
	OFS159_SHIFT                         = 31
	OFS160_MASK                          = 0x01 # MSLUT[5]
	OFS160_SHIFT                         = 0
	OFS161_MASK                          = 0x02 # MSLUT[5]
	OFS161_SHIFT                         = 1
	OFS162_MASK                          = 0x04 # MSLUT[5]
	OFS162_SHIFT                         = 2
	OFS163_MASK                          = 0x08 # MSLUT[5]
	OFS163_SHIFT                         = 3
	OFS164_MASK                          = 0x10 # MSLUT[5]
	OFS164_SHIFT                         = 4
	OFS165_MASK                          = 0x20 # MSLUT[5]
	OFS165_SHIFT                         = 5
	OFS166_MASK                          = 0x40 # MSLUT[5]
	OFS166_SHIFT                         = 6
	OFS167_MASK                          = 0x80 # MSLUT[5]
	OFS167_SHIFT                         = 7
	OFS168_MASK                          = 0x100 # MSLUT[5]
	OFS168_SHIFT                         = 8
	OFS169_MASK                          = 0x200 # MSLUT[5]
	OFS169_SHIFT                         = 9
	OFS170_MASK                          = 0x400 # MSLUT[5]
	OFS170_SHIFT                         = 10
	OFS171_MASK                          = 0x800 # MSLUT[5]
	OFS171_SHIFT                         = 11
	OFS172_MASK                          = 0x1000 # MSLUT[5]
	OFS172_SHIFT                         = 12
	OFS173_MASK                          = 0x2000 # MSLUT[5]
	OFS173_SHIFT                         = 13
	OFS174_MASK                          = 0x4000 # MSLUT[5]
	OFS174_SHIFT                         = 14
	OFS175_MASK                          = 0x8000 # MSLUT[5]
	OFS175_SHIFT                         = 15
	OFS176_MASK                          = 0x10000 # MSLUT[5]
	OFS176_SHIFT                         = 16
	OFS177_MASK                          = 0x20000 # MSLUT[5]
	OFS177_SHIFT                         = 17
	OFS178_MASK                          = 0x40000 # MSLUT[5]
	OFS178_SHIFT                         = 18
	OFS179_MASK                          = 0x80000 # MSLUT[5]
	OFS179_SHIFT                         = 19
	OFS180_MASK                          = 0x100000 # MSLUT[5]
	OFS180_SHIFT                         = 20
	OFS181_MASK                          = 0x200000 # MSLUT[5]
	OFS181_SHIFT                         = 21
	OFS182_MASK                          = 0x400000 # MSLUT[5]
	OFS182_SHIFT                         = 22
	OFS183_MASK                          = 0x800000 # MSLUT[5]
	OFS183_SHIFT                         = 23
	OFS184_MASK                          = 0x1000000 # MSLUT[5]
	OFS184_SHIFT                         = 24
	OFS185_MASK                          = 0x2000000 # MSLUT[5]
	OFS185_SHIFT                         = 25
	OFS186_MASK                          = 0x4000000 # MSLUT[5]
	OFS186_SHIFT                         = 26
	OFS187_MASK                          = 0x8000000 # MSLUT[5]
	OFS187_SHIFT                         = 27
	OFS188_MASK                          = 0x10000000 # MSLUT[5]
	OFS188_SHIFT                         = 28
	OFS189_MASK                          = 0x20000000 # MSLUT[5]
	OFS189_SHIFT                         = 29
	OFS190_MASK                          = 0x40000000 # MSLUT[5]
	OFS190_SHIFT                         = 30
	OFS191_MASK                          = 0x80000000 # MSLUT[5]
	OFS191_SHIFT                         = 31
	OFS192_MASK                          = 0x01 # MSLUT[6]
	OFS192_SHIFT                         = 0
	OFS193_MASK                          = 0x02 # MSLUT[6]
	OFS193_SHIFT                         = 1
	OFS194_MASK                          = 0x04 # MSLUT[6]
	OFS194_SHIFT                         = 2
	OFS195_MASK                          = 0x08 # MSLUT[6]
	OFS195_SHIFT                         = 3
	OFS196_MASK                          = 0x10 # MSLUT[6]
	OFS196_SHIFT                         = 4
	OFS197_MASK                          = 0x20 # MSLUT[6]
	OFS197_SHIFT                         = 5
	OFS198_MASK                          = 0x40 # MSLUT[6]
	OFS198_SHIFT                         = 6
	OFS199_MASK                          = 0x80 # MSLUT[6]
	OFS199_SHIFT                         = 7
	OFS200_MASK                          = 0x100 # MSLUT[6]
	OFS200_SHIFT                         = 8
	OFS201_MASK                          = 0x200 # MSLUT[6]
	OFS201_SHIFT                         = 9
	OFS202_MASK                          = 0x400 # MSLUT[6]
	OFS202_SHIFT                         = 10
	OFS203_MASK                          = 0x800 # MSLUT[6]
	OFS203_SHIFT                         = 11
	OFS204_MASK                          = 0x1000 # MSLUT[6]
	OFS204_SHIFT                         = 12
	OFS205_MASK                          = 0x2000 # MSLUT[6]
	OFS205_SHIFT                         = 13
	OFS206_MASK                          = 0x4000 # MSLUT[6]
	OFS206_SHIFT                         = 14
	OFS207_MASK                          = 0x8000 # MSLUT[6]
	OFS207_SHIFT                         = 15
	OFS208_MASK                          = 0x10000 # MSLUT[6]
	OFS208_SHIFT                         = 16
	OFS209_MASK                          = 0x20000 # MSLUT[6]
	OFS209_SHIFT                         = 17
	OFS210_MASK                          = 0x40000 # MSLUT[6]
	OFS210_SHIFT                         = 18
	OFS211_MASK                          = 0x80000 # MSLUT[6]
	OFS211_SHIFT                         = 19
	OFS212_MASK                          = 0x100000 # MSLUT[6]
	OFS212_SHIFT                         = 20
	OFS213_MASK                          = 0x200000 # MSLUT[6]
	OFS213_SHIFT                         = 21
	OFS214_MASK                          = 0x400000 # MSLUT[6]
	OFS214_SHIFT                         = 22
	OFS215_MASK                          = 0x800000 # MSLUT[6]
	OFS215_SHIFT                         = 23
	OFS216_MASK                          = 0x1000000 # MSLUT[6]
	OFS216_SHIFT                         = 24
	OFS217_MASK                          = 0x2000000 # MSLUT[6]
	OFS217_SHIFT                         = 25
	OFS218_MASK                          = 0x4000000 # MSLUT[6]
	OFS218_SHIFT                         = 26
	OFS219_MASK                          = 0x8000000 # MSLUT[6]
	OFS219_SHIFT                         = 27
	OFS220_MASK                          = 0x10000000 # MSLUT[6]
	OFS220_SHIFT                         = 28
	OFS221_MASK                          = 0x20000000 # MSLUT[6]
	OFS221_SHIFT                         = 29
	OFS222_MASK                          = 0x40000000 # MSLUT[6]
	OFS222_SHIFT                         = 30
	OFS223_MASK                          = 0x80000000 # MSLUT[6]
	OFS223_SHIFT                         = 31
	OFS224_MASK                          = 0x01 # MSLUT[7]
	OFS224_SHIFT                         = 0
	OFS225_MASK                          = 0x02 # MSLUT[7]
	OFS225_SHIFT                         = 1
	OFS226_MASK                          = 0x04 # MSLUT[7]
	OFS226_SHIFT                         = 2
	OFS227_MASK                          = 0x08 # MSLUT[7]
	OFS227_SHIFT                         = 3
	OFS228_MASK                          = 0x10 # MSLUT[7]
	OFS228_SHIFT                         = 4
	OFS229_MASK                          = 0x20 # MSLUT[7]
	OFS229_SHIFT                         = 5
	OFS230_MASK                          = 0x40 # MSLUT[7]
	OFS230_SHIFT                         = 6
	OFS231_MASK                          = 0x80 # MSLUT[7]
	OFS231_SHIFT                         = 7
	OFS232_MASK                          = 0x100 # MSLUT[7]
	OFS232_SHIFT                         = 8
	OFS233_MASK                          = 0x200 # MSLUT[7]
	OFS233_SHIFT                         = 9
	OFS234_MASK                          = 0x400 # MSLUT[7]
	OFS234_SHIFT                         = 10
	OFS235_MASK                          = 0x800 # MSLUT[7]
	OFS235_SHIFT                         = 11
	OFS236_MASK                          = 0x1000 # MSLUT[7]
	OFS236_SHIFT                         = 12
	OFS237_MASK                          = 0x2000 # MSLUT[7]
	OFS237_SHIFT                         = 13
	OFS238_MASK                          = 0x4000 # MSLUT[7]
	OFS238_SHIFT                         = 14
	OFS239_MASK                          = 0x8000 # MSLUT[7]
	OFS239_SHIFT                         = 15
	OFS240_MASK                          = 0x10000 # MSLUT[7]
	OFS240_SHIFT                         = 16
	OFS241_MASK                          = 0x20000 # MSLUT[7]
	OFS241_SHIFT                         = 17
	OFS242_MASK                          = 0x40000 # MSLUT[7]
	OFS242_SHIFT                         = 18
	OFS243_MASK                          = 0x80000 # MSLUT[7]
	OFS243_SHIFT                         = 19
	OFS244_MASK                          = 0x100000 # MSLUT[7]
	OFS244_SHIFT                         = 20
	OFS245_MASK                          = 0x200000 # MSLUT[7]
	OFS245_SHIFT                         = 21
	OFS246_MASK                          = 0x400000 # MSLUT[7]
	OFS246_SHIFT                         = 22
	OFS247_MASK                          = 0x800000 # MSLUT[7]
	OFS247_SHIFT                         = 23
	OFS248_MASK                          = 0x1000000 # MSLUT[7]
	OFS248_SHIFT                         = 24
	OFS249_MASK                          = 0x2000000 # MSLUT[7]
	OFS249_SHIFT                         = 25
	OFS250_MASK                          = 0x4000000 # MSLUT[7]
	OFS250_SHIFT                         = 26
	OFS251_MASK                          = 0x8000000 # MSLUT[7]
	OFS251_SHIFT                         = 27
	OFS252_MASK                          = 0x10000000 # MSLUT[7]
	OFS252_SHIFT                         = 28
	OFS253_MASK                          = 0x20000000 # MSLUT[7]
	OFS253_SHIFT                         = 29
	OFS254_MASK                          = 0x40000000 # MSLUT[7]
	OFS254_SHIFT                         = 30
	OFS255_MASK                          = 0x80000000 # MSLUT[7]
	OFS255_SHIFT                         = 31
	W0_MASK                              = 0x03 # MSLUTSEL
	W0_SHIFT                             = 0
	W1_MASK                              = 0x0C # MSLUTSEL
	W1_SHIFT                             = 2
	W2_MASK                              = 0x30 # MSLUTSEL
	W2_SHIFT                             = 4
	W3_MASK                              = 0xC0 # MSLUTSEL
	W3_SHIFT                             = 6
	X1_MASK                              = 0xFF00 # MSLUTSEL
	X1_SHIFT                             = 8
	X2_MASK                              = 0xFF0000 # MSLUTSEL
	X2_SHIFT                             = 16
	X3_MASK                              = 0xFF000000 # MSLUTSEL
	X3_SHIFT                             = 24
	START_SIN_MASK                       = 0xFF # MSLUTSTART
	START_SIN_SHIFT                      = 0
	START_SIN90_MASK                     = 0xFF0000 # MSLUTSTART
	START_SIN90_SHIFT                    = 16
	MSCNT_MASK                           = 0x3FF # MSCNT
	MSCNT_SHIFT                          = 0
	CUR_A_MASK                           = 0x1FF # MSCURACT
	CUR_A_SHIFT                          = 0
	CUR_B_MASK                           = 0x1FF0000 # MSCURACT
	CUR_B_SHIFT                          = 16
	TOFF_MASK                            = 0x0F # CHOPCONF
	TOFF_SHIFT                           = 0
	TFD_ALL_MASK                         = 0x70 # CHOPCONF
	TFD_ALL_SHIFT                        = 4
	OFFSET_MASK                          = 0x780 # CHOPCONF
	OFFSET_SHIFT                         = 7
	TFD_3_MASK                           = 0x800 # CHOPCONF
	TFD_3_SHIFT                          = 11
	DISFDCC_MASK                         = 0x1000 # CHOPCONF
	DISFDCC_SHIFT                        = 12
	RNDTF_MASK                           = 0x2000 # CHOPCONF
	RNDTF_SHIFT                          = 13
	CHM_MASK                             = 0x4000 # CHOPCONF
	CHM_SHIFT                            = 14
	TBL_MASK                             = 0x18000 # CHOPCONF
	TBL_SHIFT                            = 15
	VSENSE_MASK                          = 0x20000 # CHOPCONF
	VSENSE_SHIFT                         = 17
	VHIGHFS_MASK                         = 0x40000 # CHOPCONF
	VHIGHFS_SHIFT                        = 18
	VHIGHCHM_MASK                        = 0x80000 # CHOPCONF
	VHIGHCHM_SHIFT                       = 19
	SYNC_MASK                            = 0xF00000 # CHOPCONF
	SYNC_SHIFT                           = 20
	MRES_MASK                            = 0xF000000 # CHOPCONF
	MRES_SHIFT                           = 24
	INTPOL_MASK                          = 0x10000000 # CHOPCONF
	INTPOL_SHIFT                         = 28
	DEDGE_MASK                           = 0x20000000 # CHOPCONF
	DEDGE_SHIFT                          = 29
	DISS2G_MASK                          = 0x40000000 # CHOPCONF
	DISS2G_SHIFT                         = 30
	HSTRT_MASK                           = 0x70 # CHOPCONF
	HSTRT_SHIFT                          = 4
	HEND_MASK                            = 0x780 # CHOPCONF
	HEND_SHIFT                           = 7
	SEMIN_MASK                           = 0x0F # COOLCONF
	SEMIN_SHIFT                          = 0
	SEUP_MASK                            = 0x60 # COOLCONF
	SEUP_SHIFT                           = 5
	SEMAX_MASK                           = 0xF00 # COOLCONF
	SEMAX_SHIFT                          = 8
	SEDN_MASK                            = 0x6000 # COOLCONF
	SEDN_SHIFT                           = 13
	SEIMIN_MASK                          = 0x8000 # COOLCONF
	SEIMIN_SHIFT                         = 15
	SGT_MASK                             = 0x7F0000 # COOLCONF
	SGT_SHIFT                            = 16
	SFILT_MASK                           = 0x1000000 # COOLCONF
	SFILT_SHIFT                          = 24
	DC_TIME_MASK                         = 0x3FF # DCCTRL
	DC_TIME_SHIFT                        = 0
	DC_SG_MASK                           = 0xFF0000 # DCCTRL
	DC_SG_SHIFT                          = 16
	SG_RESULT_MASK                       = 0x3FF # DRV_STATUS
	SG_RESULT_SHIFT                      = 0
	FSACTIVE_MASK                        = 0x8000 # DRV_STATUS
	FSACTIVE_SHIFT                       = 15
	CS_ACTUAL_MASK                       = 0x1F0000 # DRV_STATUS
	CS_ACTUAL_SHIFT                      = 16
	STALLGUARD_MASK                      = 0x1000000 # DRV_STATUS
	STALLGUARD_SHIFT                     = 24
	OT_MASK                              = 0x2000000 # DRV_STATUS
	OT_SHIFT                             = 25
	OTPW_MASK                            = 0x4000000 # DRV_STATUS
	OTPW_SHIFT                           = 26
	S2GA_MASK                            = 0x8000000 # DRV_STATUS
	S2GA_SHIFT                           = 27
	S2GB_MASK                            = 0x10000000 # DRV_STATUS
	S2GB_SHIFT                           = 28
	OLA_MASK                             = 0x20000000 # DRV_STATUS
	OLA_SHIFT                            = 29
	OLB_MASK                             = 0x40000000 # DRV_STATUS
	OLB_SHIFT                            = 30
	STST_MASK                            = 0x80000000 # DRV_STATUS
	STST_SHIFT                           = 31
	PWM_AMPL_MASK                        = 0xFF # PWMCONF
	PWM_AMPL_SHIFT                       = 0
	PWM_GRAD_MASK                        = 0xFF00 # PWMCONF
	PWM_GRAD_SHIFT                       = 8
	PWM_FREQ_MASK                        = 0x30000 # PWMCONF
	PWM_FREQ_SHIFT                       = 16
	PWM_AUTOSCALE_MASK                   = 0x40000 # PWMCONF
	PWM_AUTOSCALE_SHIFT                  = 18
	PWM_SYMMETRIC_MASK                   = 0x80000 # PWMCONF
	PWM_SYMMETRIC_SHIFT                  = 19
	FREEWHEEL_MASK                       = 0x300000 # PWMCONF
	FREEWHEEL_SHIFT                      = 20
	PWM_SCALE_MASK                       = 0xFF # PWM_SCALE
	PWM_SCALE_SHIFT                      = 0
	INV_MASK                             = 0x01 # ENCM_CTRL
	INV_SHIFT                            = 0
	MAXSPEED_MASK                        = 0x02 # ENCM_CTRL
	MAXSPEED_SHIFT                       = 1
	LOST_STEPS_MASK                      = 0xFFFFF # LOST_STEPS
	LOST_STEPS_SHIFT                     = 0